#!/bin/bash

DisplayRotateConfig="/opt/aile/config/DisplayRotate.conf"
ViewerConfig="/opt/aile/config/ViewerConfig.conf"
HwCheckCmd="/opt/aile/hwcheck"
solt=`date +"%Y%m%d%H%M%S"`
ProductFile="/tmp/prdx2wr"
OUTPUT_MONITOR=("HDMI-0" "VGA-0")

hwhash=`$HwCheckCmd $solt`
Product=`cat $ProductFile | grep YS15 | wc -l`
if [ $Product = 1 ]; then
	exit;
fi

ViewerSplit=`cat $ViewerConfig | grep "Split" | awk -F':' '{print $2}'`

if [ -e $DisplayRotateConfig ]; then
	if [ $ViewerSplit = 8 -o $ViewerSplit = 9 ]; then
		ROTATE="normal"
		DISPLAY_DIRECTION=`cat $DisplayRotateConfig | awk -F'_' '{print $1}'`
		if [ "$DISPLAY_DIRECTION" = "vertical" ]; then
			ROTATE=`cat $DisplayRotateConfig | awk -F'_' '{print $2}'`
		else
			ROTATE="normal"
		fi
		for monitor in "${OUTPUT_MONITOR[@]}"; do
			xrandr --output $monitor --rotate $ROTATE
			logger -t StartAile "modify "$monitor" xrandr rotate:"${ROTATE}
		done
	fi
fi
